package TreeArchivos;

import java.io.File;
import java.io.IOException;

public class TreeArchivos {
	
    public static void main(String args []) throws IOException {

        // ->
        String path = ".";

        if (args.length >= 1)
            path = args[0];
        else
            System.out.println("- Fallo en la inicializacion, compruebe el argumento pasado");

        File f = new File(path);
        // <-

        listFiles(f, "");

    }

    /**
     * listFiles()
     * Metodo recursivo que tras el argumento pasado lista los archivos y/o directorios
     * @param f
     */
    public static void listFiles(File f, String spaces) {

        System.out.println(spaces + "└-" + File.separator + f.getName());

        if (f.isDirectory() && f.canRead())
            for (File file : f.listFiles())
                listFiles(file, spaces.concat(" "));

    }

}
