#README.md

##Titulo
Tree Archivos

##Autor
Alejandro Javier Albus 2CFGS DAM

##Enunciado
ACT02: Crea un programa que muestra el contenido de un directorio que le pasemos por parámetro en la consola de
comandos que indique el nombre del directorio pasado y liste todos sus subdirectorios de forma recursiva.
Para cada directorio se muestran primero los archivos y a continuación las carpetas que contienen de forma recursiva.
Tanto el Linux como Windows existe el comando 'tree', intenta realizar un programa recursivo en Java llamado 'arbol'
que haga lo mismo que ese comando.

##Uso
Introduzca como argumento en el terminal la ruta a listar. Si no introduce una ruta con un LENGTH de =+ 1 caracteres no se ejecutará correctamente.

##Ejemplo de ejecución
Por ejemplo, tenemos una carpeta de programas java llamada "‪C:\Users\jandr\Desktop\1DAM - IdeaProjects" - le pasaremo la PATH como ARGS.
Y nos saldría algo como ...

->

*C:\Users\jandr>java "C:\Users\jandr\Desktop\EjercicioTree.java" "C:\Users\jandr\Desktop\1DAM - IdeaProjects"*

└-\1DAM - IdeaProjects
 └-\Objetos y herencia
  └-\ArrayLists
   └-\.gradle
    └-\7.1
     └-\dependencies-accessors
      └-\dependencies-accessors.lock
      └-\gc.properties
     └-\executionHistory
      └-\executionHistory.bin
      └-\executionHistory.lock
     └-\fileChanges
      └-\last-build.bin
     └-\fileHashes
      └-\fileHashes.bin
      └-\fileHashes.lock
     └-\gc.properties
     └-\vcsMetadata-1
    └-\buildOutputCleanup
     └-\buildOutputCleanup.lock
     └-\cache.properties
     └-\outputFiles.bin
    └-\checksums
     └-\checksums.lock
    └-\vcs-1
     └-\gc.properties
    └-\workspace-id.txt
    └-\workspace-id.txt.lock
   └-\.idea
    └-\.gitignore
    └-\compiler.xml
    └-\gradle.xml
    └-\jarRepositories.xml
    └-\misc.xml
    └-\uiDesigner.xml
    └-\workspace.xml
   └-\build
    └-\classes
     └-\java
      └-\main
       └-\EjemploInterfaz
        └-\EjemploInterfaz.class
        └-\Ejercicio6
         └-\Ejercicio6.class
        └-\Game$PlayResult.class
        └-\Game.class
        └-\IStrategy.class
        └-\Player.class
        └-\Printable.class
        └-\StrategyMiddle$1.class
        └-\StrategyMiddle.class
        └-\StrategyOnlyEvens$1.class
        └-\StrategyOnlyEvens.class
       └-\EjemploMap
        └-\EjemploMap.class
       └-\Ejercicio1
        └-\Ejercicio1.class
       └-\Ejercicio10
        └-\Company.class
        └-\Ejercicio10.class
        └-\Employee.class
        └-\IEmployee.class
        └-\ISon.class
        └-\Son.class
        └-\Wage.class
       └-\Ejercicio11
        └-\Ejercicio11.class
        └-\Group.class
        └-\Professor.class
        └-\Room.class
        └-\School.class
        └-\Student.class
        └-\Subject.class
       └-\Ejercicio2
        └-\Ejercicio2.class
        └-\IStats.class
        └-\StatsArrayLists.class
       └-\Ejercicio3
        └-\Ejercicio3.class
        └-\IPila.class
        └-\Pila.class
       └-\Ejercicio4
        └-\Cola.class
        └-\Ejercicio4.class
        └-\ICola.class
       └-\Ejercicio5
        └-\Ejercicio5.class
        └-\Patient.class
        
(...)
        
<-

##Dependencias
Uso de librerias externas:
* java.io.File
* java.io.IOExceptio
* java.util.Scanner

##Licencia
Uso libre